pcl::device::Eigen33::MiniMat< Rows > Struct Template Reference

`#include </build/pcl-gWGA5r/pcl-1.10.0+dfsg/gpu/features/include/pcl/gpu/features/device/eigen.hpp>`

## Public Member Functions

__device__ __host__ __forceinline__ float3 & | operator[] (int i)
__device__ __host__ const __forceinline__ float3 & | operator[] (int i) const
__device__ __host__ __forceinline__ float3 & | operator[] (int i)
__device__ __host__ const __forceinline__ float3 & | operator[] (int i) const

## Public Attributes

float3 | data [Rows]

## Detailed Description

### template<int Rows>
struct pcl::device::Eigen33::MiniMat< Rows >

Definition at line 167 of file eigen.hpp.

## Member Function Documentation

## operator[]() [1/4]

template<int Rows>

__device__ __host__ __forceinline__ float3& pcl::device::Eigen33::MiniMat< Rows >::operator[] | ( | int | i | ) |

inline

Definition at line 170 of file eigen.hpp.

References pcl::device::Eigen33::MiniMat< Rows >::data.

## operator[]() [2/4]

template<int Rows>

__device__ __host__ __forceinline__ float3& pcl::device::Eigen33::MiniMat< Rows >::operator[] | ( | int | i | ) |

inline

Definition at line 179 of file utils.hpp.

References pcl::device::Eigen33::MiniMat< Rows >::data.

## operator[]() [3/4]

template<int Rows>

__device__ __host__ const __forceinline__ float3& pcl::device::Eigen33::MiniMat< Rows >::operator[] | ( | int | i | ) | const

inline

Definition at line 171 of file eigen.hpp.

References pcl::device::Eigen33::MiniMat< Rows >::data.

## operator[]() [4/4]

template<int Rows>

__device__ __host__ const __forceinline__ float3& pcl::device::Eigen33::MiniMat< Rows >::operator[] | ( | int | i | ) | const

inline

Definition at line 180 of file utils.hpp.

References pcl::device::Eigen33::MiniMat< Rows >::data.

## Member Data Documentation

## data

template<int Rows>

float3 pcl::device::Eigen33::MiniMat< Rows >::data

Definition at line 169 of file eigen.hpp.

Referenced by pcl::device::Eigen33::MiniMat< Rows >::operator[]().

The documentation for this struct was generated from the following files:

- /build/pcl-gWGA5r/pcl-1.10.0+dfsg/gpu/features/include/pcl/gpu/features/device/eigen.hpp
- /build/pcl-gWGA5r/pcl-1.10.0+dfsg/gpu/kinfu/src/cuda/utils.hpp